#
# spec file for package python-PyRSS2Gen
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-PyRSS2Gen
Version:        1.1
Release:        2.19
Summary:        Generate RSS2 using a Python data structure
License:        BSD-3-Clause
URL:            http://dalkescientific.com/Python/PyRSS2Gen.html
Source:         http://dalkescientific.com/Python/PyRSS2Gen-%{version}.tar.gz
BuildRequires:  %{python_module feedparser}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Provides:       %{oldpython}-pyrss2gen = 1.1
#NOTE(saschpe): Change back to "<" after next version update:
Obsoletes:      %{oldpython}-pyrss2gen <= 1.1
BuildArch:      noarch
%python_subpackages

%description
A Python library for generating RSS 2.0 feeds.

%prep
%setup -q -n PyRSS2Gen-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Test fails on Python 2, and there is a feedparser error on Python 3
%python_exec test.py ||:

%files %{python_files}
%doc README
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Fri Sep 13 2019 John Vandenberg <jayvdb@gmail.com>
- Use Source http://dalkescientific.com/Python/PyRSS2Gen-1.1.tar.gz
  which includes license and tests
- Activate test suite, ignoring and showing failures
- Tidy spec and add %%license
* Wed Feb 20 2019 Hans-Peter Jansen <hpj@urpla.net>
- Apply Python single-spec
* Mon Oct 28 2013 speilicke@suse.com
- Properly provide/obsolete python-pyrss2gen, Release: won't help
* Tue Apr  2 2013 boris@steki.net
- updated package to latest upstream 1.1
  * Ported to Python 3.x.
* Sat Feb 17 2007 jfunk@funktronics.ca
- Initial release
